using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.hnshituo.core.webapp.vo;

namespace Common
{
    public class PreTrackTemEntrustService
    {
        /// <summary>
        /// 根据预报编号查数据
        /// </summary>
        /// <param name="info"></param>
        /// <returns></returns>
        public RESTfulResult<List<PreTrackTemEntrust>> doQueryWf(PreTrackTemEntrust info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<PreTrackTemEntrust>>> rm = db.doOption<PageList<List<PreTrackTemEntrust>>>("pretracktementrusts", "/", new object[] { info }, 0);

            RESTfulResult<List<PreTrackTemEntrust>> result = new RESTfulResult<List<PreTrackTemEntrust>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;
            if (rm.Data != null && rm.Data.list != null && rm.Data.list.Count > 0)
            {
                result.Data = rm.Data.list;
            }

            return result;
        }

        /// <summary>
        /// 根据车号查所有有效预报编 正使用，待使用
        /// </summary>
        /// <param name="info"></param>
        /// <returns></returns>
        public RESTfulResult<List<PreTrackScale>> doQueryTenWf(PreTrackScale info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<List<PreTrackScale>> rm = db.doOption<List<PreTrackScale>>("pretrackscales", "doQueryWf", new object[] { info }, 0);
            return rm;
        }
    }
}
